#
# spec file for package swtcalendar
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           swtcalendar
Version:        0.5
Release:        8.1
Summary:        GUI date picker for Java using SWT
License:        MIT
Group:          Development/Languages/Java
Url:            http://swtcalendar.sourceforge.net/
Source:         http://downloads.sourceforge.net/%{name}/%{name}/%{name}-src-%{version}.zip
BuildRequires:  ant
BuildRequires:  dos2unix
BuildRequires:  eclipse-swt
BuildRequires:  jpackage-utils
BuildRequires:  unzip
BuildArch:      noarch

%description
SWTCalendar is a port of Kai Toedter's JCalendar to Eclipse's SWT.
It is a GUI date picker for Java using SWT as the GUI toolkit.
SWTCalendar was designed to be a flexible component so developer
can embed a date picker in their application or create their own
standalone date picker dialog.

%prep
%setup -q -n %{name}
dos2unix *.txt

%build
export CLASSPATH=%{_libdir}/java/swt.jar
%{ant} -Dant.build.javac.source=1.6 -Dant.build.javac.target=1.6

%install
mkdir -p %{buildroot}%{_javadir}
install swtcalendar.jar %{buildroot}%{_javadir}

%files
%doc MIT.txt README.txt
%{_javadir}/*

%changelog
* Tue Sep 19 2017 fstrba@suse.com
- Build with java source and target level 1.6
* Tue Dec 29 2015 mailaender@opensuse.org
- initial packaging
